# A/H Premium Intraday

`GET` `/v1/quote/ahpremium/timeshares`

Get intraday A/H premium timeseries data for a dual-listed security.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | HK-side symbol of a dual-listed stock, e.g. `939.HK` |
| `days` | integer | Yes | Number of intraday trading days to return, e.g. `1` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/ahpremium/timeshares?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `klines` | object[] | Yes | Intraday A/H premium kline data |
| `└ timestamp` | string | No | Unix timestamp |
| `└ ahpremium_rate` | string | No | A/H premium rate |
| `└ aprice` | string | No | A-share price (CNY) |
| `└ apreclose` | string | No | A-share previous close (CNY) |
| `└ hprice` | string | No | H-share price (HKD) |
| `└ hpreclose` | string | No | H-share previous close (HKD) |
| `└ currency_rate` | string | No | CNH/HKD exchange rate |
| `└ price_spread` | string | No | Price spread |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "klines": [
      {
        "ahpremium_rate": "0.1523",
        "apreclose": "24.80",
        "aprice": "25.10",
        "currency_rate": "0.8920",
        "hpreclose": "19.20",
        "hprice": "19.50",
        "price_spread": "1.23",
        "timestamp": "1778198400"
      }
    ]
  }
}
```
